<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.IntImpQueryBean" />
    </data>

    <!-- 外层容器承载间距 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:orientation="vertical">

        <!-- 侧滑布局 -->
        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:id="@+id/swipe_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- 主列表项容器 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_item"
                android:orientation="horizontal"
                android:padding="10dp">

        <!-- 左侧图标 -->
        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <!-- 第一行：运单号、件数、重量、代理人、航班信息 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!-- 运单号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{4}"
                        android:text="运单号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/colorPrimary"
                        tools:text="78109081212" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 件数 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{3}"
                        android:text="件数：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{String.valueOf(bean.inPc)}'
                        tools:text="10" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 重量 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="重量：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{String.valueOf(bean.inWeight)}'
                        tools:text="200" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 代理人 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="代理人：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.agentName}'
                        tools:text="SF" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 航班信息 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="航班信息：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.flight}'
                        tools:text="20240216/MU2026" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 第二行：航程、特码、运单类型、入库时间、出库时间 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <!-- 航程 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{4}"
                        android:text="航程：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{bean.range}"
                        tools:text="LAX-HFE" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 特码 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{3}"
                        android:text="特码：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{bean.spCode}"
                        tools:text="NOR" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 运单类型 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="运单类型：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.awbName}'
                        tools:text="国际进港" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 入库时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="入库时间：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.inDate}'
                        tools:text="2024-05-13 17:10:22" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 出库时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        completeSpace="@{5}"
                        android:text="出库时间：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.dlvTime}'
                        tools:text="2024-05-13 17:10:22" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

            <!-- 右侧箭头 -->
            <ImageView
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_gravity="center"
                android:layout_marginLeft="10dp"
                android:src="@drawable/img_pda_right" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 侧滑菜单按钮区 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <!-- 修改按钮 -->
                <TextView
                    android:id="@+id/btn_edit"
                    style="@style/tv_item_action"
                    android:background="@color/colorPrimary"
                    android:text="修改" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </LinearLayout>

</layout>
